Class | Test::Unit::Util::ProcWrapper
In: | test/unit/util/procwrapper.rb
Parent: | Object

Allows the storage of a Proc passed through ’&’ in a hash.

Note: this may be inefficient, since the hash being used is not necessarily very good. In Observable, efficiency is not too important, since the hash is only accessed when adding and removing listeners, not when notifying.

### Methods

== eql? hash new to_proc

### Public Class methods

new(a_proc)

Creates a new wrapper for a_proc.

[Source]

    # File test/unit/util/procwrapper.rb, line 21
            def initialize(a_proc)
              @a_proc = a_proc
              @hash = a_proc.inspect.sub(/^(#<#{a_proc.class}:)/){''}.sub(/(>)$/){''}.hex
            end

### Public Instance methods

==(other)

[Source]

    # File test/unit/util/procwrapper.rb, line 30
            def ==(other)
              case(other)
                when ProcWrapper
                  return @a_proc == other.to_proc
                else
                  return super
              end
            end

eql?(other)

Alias for #==

hash()

[Source]

    # File test/unit/util/procwrapper.rb, line 26
            def hash
              return @hash
            end

to_proc()

[Source]

    # File test/unit/util/procwrapper.rb, line 40
            def to_proc
              return @a_proc
            end

[Validate]